package com.jeeplus.modules.filing.constructionStage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class QulityAssurance extends DataEntity<QulityAssurance> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 达标投产文
     * */
    private String standardProduction;
    /**
     * 五方质量终身责任承诺书
     * */
    private String fiveParty;

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    public String getStandardProduction() {
        return standardProduction;
    }

    public void setStandardProduction(String standardProduction) {
        this.standardProduction = standardProduction;
    }

    public String getFiveParty() {
        return fiveParty;
    }

    public void setFiveParty(String fiveParty) {
        this.fiveParty = fiveParty;
    }

}
